# Ausgabenverwaltung

ESA1 (Leistungsnachweis) zum vhb-Kurs „C++ Teil2“

**Aufgabenstellung:**

Da Sie ein Budget von 500€ monatlich zur Verfügung haben, wollen Sie ein C++ Programm schreiben, das  Ihnen  die  Verwaltung Ihrer Ausgaben  erleichtert. 

Dazu  sammeln  Sie  alle Rechnungen  und  erfassen  diese monatlich im  System. 

Von  der  Rechnung  werden bei  der Erfassung:

* eine eindeutige Nummer,
* der Monat,
* der Betrag und
* die Kategorie der Ausgabe (z.B. Tanken,  Essen,  Kleidung, Urlaub usw.)

gespeichert.

Legen  Sie  8  frei  gewählte Kategorien der Ausgaben zur Auswahl an.
Wenn Sie mehr als 500€ in einem Monat ausgegeben haben, soll  das  Programm  eine entsprechende Meldung ausgeben. 
Wir  gehen  davon  aus,  dass  alle Rechnungen für das Jahr 2017 erfasst werden.


Ihr Programm soll mindestens folgende Menüpunkte enthalten:
1. Erfassung einer Rechnung (inkl. Abfrage der Rechnungsdaten)
2. Alle Ausgaben, sortiert nach Monat, ausgeben.

z.B.
```
----------------------------------
Januar 
--------------------------------
Tanken: 25€
Kleidung: 55€
Essen: 250€
Gesamt: 330€
----------------------------------
Februar
----------------------------------
Mehr ausgegeben als geplant!!! 
----------------
Urlaub: 400€
Tanken: 350€
Essen: 300€
Gesamt: 1050€

```
3. Summe der Ausgaben pro Kategorie ausgeben,

z.B. Tanken: 1200€ ---- Urlaub: 400€ .....

4. Rechnung löschen
5.Programmende

Die Rechnungen müssen in einer verketteten Liste verwaltet und dynamisch erzeugt werden.
Bei Bedarf (Änderung, Anlegen usw.) sollen entsprechende Meldungen ausgegeben werden. 
Eine  permanente  Speicherung  der  Daten  ist  nicht  gefordert.  Die  Daten  müssen  nur  zur Laufzeit  des  Programms  verfügbar  sein.  Achten  Sie  auf  eine  angemessene Dokumentation Ihres Programms!